Sat May 19 14:28:57 CEST 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 1.1.2 released.

Thu May 17 08:19:42 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Protocols/Sender/Sender_exec.cpp:
          Fixed conversion warnings

Wed May  16 14:183:12 UTC 2012  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Control_comp/Shapes_Control_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Sender_comp/Shapes_Sender_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Receiver_comp/Shapes_Receiver_comp_exec.h:
          Changes in DOxygen documentation .

Tue May 15 18:17:45 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Protocols/Sender/Sender_exec.cpp:
        * tools/IDL3_to_IDL2/basic_visitor.cpp:
        * tools/IDL3_to_XMI/be_sunsoft.cpp:
          Removed support for Tandem NSK. That was the last platform that
          needed the emulated versions of ACE_INT64 and ACE_UINT64, that
          emulation has now been removed

Tue May 15 13:35:32 UTC 2012  Marcel Smit  <msmit@remedy.nl>

          Merged DDS4CCM_OpenDDS branch

          commit 4470f90d57735e51dc7d38e1d22ecf3b7ff34a92
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Tue May 15 14:05:24 2012 +0200

                  * CIAO/MPC/config/dds4ccm_base.mpb:
                  * CIAO/MPC/config/dds4ccm_impl.mpb:
                    Added base projects in order to fix unresolved
                    externals on windows.

          commit 69fdc95b7e5ed5f2a79b4ae7cd4e285839f65f23
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Mon May 14 20:25:37 2012 +0200

                  * CIAO/connectors/dds4ccm/examples/Shapes/Sender/Shapes_Sender_exec.cpp:
                  * CIAO/connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver.mpc:
                  * CIAO/connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component.mpc:
                    Use correct requires

          commit 767ef7334d305c4ca189a51805329afc93ca39d8
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Mon May 14 07:46:40 2012 +0200

                  * CIAO/connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector1/Connector1.mpc:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector2/Connector2.mpc:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector3/Connector3.mpc:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector1/Connector1.mpc:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector2/Connector2.mpc:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector3/Connector3.mpc:
                    Added missing after statements

          commit 847866aae0f053bfbb1ffd4edaf7274b6e2e9bab
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Sun May 13 19:36:20 2012 +0200

                  * CIAO/connectors/dds4ccm/performance-tests/Throughput/SecConnector/Throughput_Sec_Connector.mpc:
                    Added missing after

          commit 05da116efe0de5b68abfecb07b48aa59a93ec946
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Fri May 11 16:28:46 2012 +0200

                  * CIAO/connectors/dds4ccm/performance-tests/DDSLatency/DDS_Receiver/DDS_Receiver.mpc:
                    CIAO_DDS4CCM_NDDS was not set correctly. Changed base project for that.

          commit 0931cdcf6642d963880d54c51b966d4c10d5da89
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Fri May 11 14:33:51 2012 +0200

                  * CIAO/connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.idl:
                    Added sequence definition

          commit 9331312287c935480baf8f3ac0f84762b2243482
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Fri May 11 14:17:40 2012 +0200

                  * CIAO/tests/IDL3_to_XMI/IDL2XMI_Test/XML_Helper.cpp:
                  * CIAO/tests/IDL3_to_XMI/IDL2XMI_Test/XML_Helper.h:
                  * CIAO/tests/IDL3_to_XMI/IDL2XMI_Test/xmlvalidator.cpp:
                  * CIAO/tools/IDL3_to_XMI/IDL3_to_XMI_visitor.cpp:
                  * CIAO/tools/IDL3_to_XMI/IDL3_to_XMI_visitor.h:
                    Fixed compile errors due to XML utils renaming

          commit 5efbb98bed19986fe31c661e649c88f2324fbc0e
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Fri May 11 08:54:30 2012 +0200

                  * CIAO/connectors/dds4ccm/performance-tests/Throughput/Connector/Throughput_Connector.mpc:
                    Added after.

                  * DAnCE/tools/XML/XML_Typedefs.cpp:
                  * DAnCE/tools/XML/XML_Typedefs.h:
                  * DAnCE/tools/XML/XML_Utils_Export.h:
                    Added due to rename actions

          commit 6dab97ffb04eb583d5f0dc876b38ae4034e0b066
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Thu May 10 07:56:10 2012 +0200

                  * CIAO/tests/IDL3_to_XMI/IDL2XMI_Test/IDL2XMI_Test.mpc:
                  * CIAO/tools/IDL3_to_XMI/IDL3_TO_XMI.mpc:
                    Renamed dance_xml_utils into xml_utils

          commit 081664cae99505b17cd31e6774b08bd5f05a998c
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Wed May 9 13:18:52 2012 +0200

                  * CIAO/connectors/dds4ccm/performance-tests/Latency/Connector/LatencyTT_Test_Connector.mpc:
                    Fixed compile issues due to a missing after

          commit 6d23412946c4af026d07eee8fa12ae4ddb076056
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Tue May 8 20:16:19 2012 +0200

                  * CIAO/connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_ShapeType.mpc:
                  * CIAO/connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.mpc:
                  * CIAO/connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Receiver/I2C_Shapes_Receiver.mpc:
                  * CIAO/connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Sender/I2C_Shapes_Sender.mpc:
                    Disabled for open DDS

          commit 8add902213001fb14a67bfea22fc0d8008348df5
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Mon May 7 09:24:20 2012 +0200

                  * CIAO/connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender.mpc:
                  * CIAO/connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component.mpc:
                    The executor projects require dds4ccm_ndds

          commit 21fd72b48afd93d99b2d03c7d184efc9265a6b25
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Mon May 7 08:59:09 2012 +0200

                  * CIAO/connectors/dds4ccm/examples/Large_Deployment/DDS_Pub/DDS_Pub.mpc:
                  * CIAO/connectors/dds4ccm/examples/Large_Deployment/DDS_Sub/DDS_Sub.mpc:
                    Fixed compile issues due to a lacking after

          commit 5a9425df311d7f805e6933d074d791498b81d072
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Tue May 1 18:32:44 2012 +0200

                  * CIAO/connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver.mpc:
                  * CIAO/connectors/dds4ccm/tests/DDSEntity/Sender/Writer_Sender.mpc:
                    Disabled executor project since RTI DDS is used in these tests.

          commit 3016a41bbd84a8f2fd6e41ce8f4c4d50ad1c0240
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Tue May 1 18:28:51 2012 +0200

                  * CIAO/connectors/dds4ccm/examples/Large_Deployment/Connector/Large_Connector.mpc:
                    Fixed an after

          commit 4ea8bea0051379385a6761ca320fca2d961e129a
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Tue May 1 10:31:19 2012 +0200

                  * CIAO/connectors/dds4ccm/performance-tests/Throughput/Connector/Throughput_Connector.idl:
                  * CIAO/connectors/dds4ccm/performance-tests/Throughput/Receiver/Throughput_Receiver.idl:
                  * CIAO/connectors/dds4ccm/performance-tests/Throughput/SecConnector/Throughput_Sec_Connector.idl:
                  * CIAO/connectors/dds4ccm/performance-tests/Throughput/Sender/Throughput_Sender.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector1/Connector1.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector2/Connector2.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector3/Connector3.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Component/Component.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector1/Connector1.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector2/Connector2.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector3/Connector3.idl:
                    Reverted the last changes since the openDDS idl compiler now generates an
                    include guard.

          commit c86fedea982747310fa4a7dd2329f1674dafd12c
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Tue May 1 09:37:14 2012 +0200

                  * CIAO/connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/DDS_Sender.mpc:
                    Do not build for openDDS

          commit 396f2e3891f0df6e9258ce99c3eb5062fafce8f6
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Tue May 1 09:35:33 2012 +0200

                  * CIAO/connectors/dds4ccm/performance-tests/Throughput/Connector/Throughput_Connector.idl:
                  * CIAO/connectors/dds4ccm/performance-tests/Throughput/Receiver/Throughput_Receiver.idl:
                  * CIAO/connectors/dds4ccm/performance-tests/Throughput/SecConnector/Throughput_Sec_Connector.idl:
                  * CIAO/connectors/dds4ccm/performance-tests/Throughput/Sender/Throughput_Sender.idl:
                    Prevent the inclusion of the TypeSupport.idl twice.

          commit 88ab89cb93654070ebc6f1a0a14e7b88e642a2b2
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Tue May 1 08:55:02 2012 +0200

                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component.mpc:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector1/Connector1.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector2/Connector2.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector3/Connector3.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Component/Component.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Component/Component.mpc:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector1/Connector1.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector2/Connector2.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector3/Connector3.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component.mpc:
                    Prevent including BaseTypeSupport twice. Also disabled Component executors to be compiled on
                    opendds

          commit 29d038436fe7e79156b8e5cc4ef6f93f58a5dc04
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Fri Apr 27 18:11:59 2012 +0200

                  * CIAO/connectors/tests/AMIDDS/Connector/AmiDds_Connector.idl:
                    Added support for openDDS

          commit 5cae521c342abb234e65342c98923f6fe4d48df2
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Fri Apr 27 18:08:02 2012 +0200

                  * CIAO/connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_ShapeType.mpc:
                    Turned off for openDDS for now

                  * CIAO/connectors/dds4ccm/examples/Hello/Connector/Hello_Connector.idl:
                  * CIAO/connectors/dds4ccm/examples/Hello/Connector/Hello_Connector.mpc:
                  * CIAO/connectors/dds4ccm/examples/Large_Deployment/Connector/Large_Connector.idl:
                  * CIAO/connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.idl:
                  * CIAO/connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.mpc:
                    Added support for openDDS

          commit 2ff1b8641ea2087c45f12c87b326e46daf1d5b1f
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Fri Apr 27 17:50:05 2012 +0200

                  * CIAO/connectors/dds4ccm/performance-tests/DDSLatency/Base/Latency_Base.mpc:
                  * CIAO/connectors/dds4ccm/performance-tests/DDSLatency/DDS_Receiver/DDS_Receiver.mpc:
                  * CIAO/connectors/dds4ccm/performance-tests/DDSLatency/DDS_Receiver/Latency_Receiver.cpp:
                  * CIAO/connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/DDS_Sender.mpc:
                  * CIAO/connectors/dds4ccm/performance-tests/DDSThroughput/Base/Throughput_Base.mpc:
                  * CIAO/connectors/dds4ccm/performance-tests/DDSThroughput/DDS_Receiver/DDS_Receiver.mpc:
                  * CIAO/connectors/dds4ccm/performance-tests/DDSThroughput/DDS_Sender/DDS_Sender.mpc:
                    Disable these projects for now.

                  * CIAO/connectors/dds4ccm/performance-tests/Keyed/Connector/Perf_Keyed_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/performance-tests/Keyed/Connector/Perf_Keyed_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/performance-tests/Latency/Connector/LatencyTT_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/performance-tests/Throughput/Connector/Throughput_Connector.idl:
                  * CIAO/connectors/dds4ccm/performance-tests/Throughput/SecConnector/Throughput_Sec_Connector.idl:
                    Added support for openDDS

          commit 6fefa31cf3b6d85c16989272375181db07314668
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Fri Apr 27 16:51:37 2012 +0200

                  * CIAO/connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/CoherentWriter/Connector/CoherentWrite_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/CoherentWriter/Connector/CoherentWrite_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/CollocatedPubSub/Connector/Collocated_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/CollocatedPubSub/Connector/Collocated_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Connector/CFT_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Connector/CFT_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Connector/CFTLE_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Connector/CFTLE_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Connector/Exception_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Connector/Exception_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Connector/ReadGet_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Connector/ReadGet_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Connector/CFTLS_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Connector/CFTLS_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/DDSEntity/Connector/Writer_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/DDSEntity/Connector/Writer_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/Derived/Derived_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/Derived/Derived_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/DoubleNestedModule/Connector/DNM_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/DoubleNestedModule/Connector/DNM_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/Event_Connection_Test/Connector/Event_Connection_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/Event_Connection_Test/Connector/Event_Connection_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Connector/FSS_Event_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Connector/FSS_Event_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Connector/FSS_State_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Connector/FSS_State_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/GetComponent/Event/Connector/GCE_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/GetComponent/Event/Connector/GCE_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/GetComponent/State/Connector/GCS_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/GetComponent/State/Connector/GCS_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/HomeTest/Connector/HomeT_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/HomeTest/Connector/HomeT_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/IDL_Test/Connector/IDL_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/IDL_Test/Connector/IDL_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/InstanceHandle/Connector/Writer_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/InstanceHandle/Connector/Writer_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/KeyedSamples/Connector/Keyed_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/KeyedSamples/Connector/Keyed_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/KeyedWriter/Connector/Writer_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/KeyedWriter/Connector/Writer_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/LateBinding/ReadGet/Connector/RG_LateBinding_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/LateBinding/ReadGet/Connector/RG_LateBinding_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/LateBinding/UpdateWrite/Connector/WU_LateBinding_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/LateBinding/UpdateWrite/Connector/WU_LateBinding_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ListenManyByMany/Connector/LMBM_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ListenManyByMany/Connector/LMBM_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ListenNotEnabled/Connector/LNE_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ListenNotEnabled/Connector/LNE_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ListenOneByOne/Connector/LOBO_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ListenOneByOne/Connector/LOBO_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/MemLeakDetection/Event_MemLeakDetection_Test/Connector/Event_MemLeakDetection_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/MemLeakDetection/Event_MemLeakDetection_Test/Connector/Event_MemLeakDetection_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/MemLeakDetection/State_MemLeakDetection_Test/Connector/State_MemLeakDetection_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/MemLeakDetection/State_MemLeakDetection_Test/Connector/State_MemLeakDetection_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Connector/TypeRegistration_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Connector/TypeRegistration_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/NoModule/NoModule_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/NoModule/NoModule_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/On_Inconsistent_Topic/ReceiverConnector/OIT_Receiver_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/On_Inconsistent_Topic/ReceiverConnector/OIT_Receiver_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/On_Inconsistent_Topic/SenderConnector/OIT_Sender_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/On_Inconsistent_Topic/SenderConnector/OIT_Sender_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/PSAT/PSAT_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/PSLDeadline/Connector/PSL_DeadlineTest_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/PSLDeadline/Connector/PSL_DeadlineTest_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/PSLSampleLost/Connector/PSL_SampleLost_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/PSLSampleLost/Connector/PSL_SampleLost_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/PortUsage/EventConnector/PortUsageEvent_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/PortUsage/EventConnector/PortUsageEvent_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/PortUsage/StateConnector/PortUsageState_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/PortUsage/StateConnector/PortUsageState_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/Proxies/ReadWrite/Connector/Proxy_RW_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/Proxies/ReadWrite/Connector/Proxy_RW_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/QosProfile/Connector/QosProfile_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/QosProfile/Connector/QosProfile_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/Different/Connector/Different_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/Different/Connector/Different_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/EventListener/Connector/QCLE_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/EventListener/Connector/QCLE_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/ReadGet/Connector/ReadGet_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/ReadGet/Connector/ReadGet_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/StateListener/Connector/QCLS_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/StateListener/Connector/QCLS_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/TwoListeners/Connector/QCTL_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/TwoListeners/Connector/QCTL_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/TwoQueries/Connector/QCTQ_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/TwoQueries/Connector/QCTQ_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/TwoQueriesMany/Connector/QCTQM_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/TwoQueriesMany/Connector/QCTQM_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/Reader/Connector/Reader_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/Reader/Connector/Reader_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/ReadGet/Connector/RG_ResetTopic_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/ReadGet/Connector/RG_ResetTopic_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/ToEmpty/Connector/TE_ResetTopic_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/ToEmpty/Connector/TE_ResetTopic_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/TooLong/Connector/TL_ResetTopic_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/TooLong/Connector/TL_ResetTopic_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/UpdateListen/Connector/UL_ResetTopic_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/UpdateListen/Connector/UL_ResetTopic_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/WriteListen/Connector/WL_ResetTopic_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/WriteListen/Connector/WL_ResetTopic_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/SLDisabled/Connector/SL_Disabled_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/SLDisabled/Connector/SL_Disabled_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/SLManyByMany/Connector/SL_ManyByMany_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/SLManyByMany/Connector/SL_ManyByMany_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/SLOneByOne/Connector/SLOneByOne_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/SLOneByOne/Connector/SL_OneByOne_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/SetConnectorAttributes/Connector/SetConnectorAttribute_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/SetConnectorAttributes/Connector/SetConnectorAttribute_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector1/Connector1.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector2/Connector2.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector3/Connector3.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector1/Connector1.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector2/Connector2.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector3/Connector3.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Connector/Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Connector/Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/State_Connection_Test/Connector/State_Connection_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/State_Connection_Test/Connector/State_Connection_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/TopicName/Connector/TopicName_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/TopicName/Connector/TopicName_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/TwoTopics/Connector/TwoTopics_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/TwoTopics/Connector/TwoTopics_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/TwoTopicsDifferentNs/Connector/Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/TwoTopicsDifferentNs/Connector/Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/UnkeyedSamples/Connector/Unkeyed_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/UnkeyedSamples/Connector/Unkeyed_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/UnkeyedWriter/Connector/Writer_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/UnkeyedWriter/Connector/Writer_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/Updater/Connector/Updater_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/Updater/Connector/Updater_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/UserdataCopyCount/Connector/UCC_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/UserdataCopyCount/Connector/UCC_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Union/VT_Union_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Union/VT_Union_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsState/Conn_Union/VTS_Union_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsState/Conn_Union/VTS_Union_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsState/Conn_Valuetype/VTS_Valuetype_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector.mpc:
                    Updated in order to support openDDS.

          commit 9e02fb8bf4fd99b815a13b2aa26819a3837aad8b
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Fri Apr 27 14:11:33 2012 +0200

                  * CIAO/connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector.idl:
                  * CIAO/connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tests/CoherentUpdater/Connector/CoherentUpdate_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/CoherentUpdater/Connector/CoherentUpdate_Test_Connector.mpc:
                  * CIAO/connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp.mpc:
                  * CIAO/connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp.mpc:
                  * CIAO/connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.idl:
                  * CIAO/connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.mpc:
                    Prototyped the idl changes for openDDS.

          commit 6ce8768572a8340ee59521fc910f6b5023fe0cbf
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Fri Apr 27 11:15:33 2012 +0200

                  * CIAO/connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.idl:
                    Fixed compile issues.

                  * TAO/TAO_IDL/be/be_global.cpp:
                  * TAO/TAO_IDL/be/be_util.cpp:
                  * TAO/TAO_IDL/be/be_visitor_native/native_ch.cpp:
                  * TAO/TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
                  * TAO/TAO_IDL/be_include/be_global.h:
                    Removed opendds_suffix from the code. In openDDS, suffix of
                    the sequence is defined as 'Seq'.

          commit d1c45d256337574e7779c088c5d0634be7d024d5
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Thu Apr 26 20:06:13 2012 +0200

                  * CIAO/MPC/config/ndds_idltocpp.mpb:
                  * CIAO/MPC/config/ndds_idltocpp_ts_defaults.mpb:
                    Added -DDDS4CCM_NEEDS_SEQUENCES_DEFINED again.

                  * CIAO/connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.idl:
                  * CIAO/connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector.idl:
                    Fixed compile issues for both openDDS and RTI DDS.

                  * CIAO/connectors/dds4ccm/idl/ccm_dds.idl:
                    Removed comment.

                  * TAO/TAO_IDL/be/be_visitor_arg_traits.cpp:
                  * TAO/TAO_IDL/be/be_visitor_sequence/any_op_ch.cpp:
                  * TAO/TAO_IDL/be/be_visitor_sequence/any_op_cs.cpp:
                  * TAO/TAO_IDL/be/be_visitor_sequence/cdr_op_ch.cpp:
                  * TAO/TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:
                  * TAO/TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
                  * TAO/TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
                    Don't check for which DDS vendor is used. Just check for the
                    availability of the pragma.

          commit eabcfd1ec51f753d925c3e224c853a598f69c7db
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Thu Apr 26 11:22:35 2012 +0200

                  * CIAO/connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.idl:
                  * CIAO/connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector.idl:
                  * CIAO/connectors/dds4ccm/idl/ccm_dds.idl:
                  * CIAO/connectors/dds4ccm/impl/Updater_T.cpp:
                  * CIAO/connectors/dds4ccm/impl/Updater_T.h:
                  * CIAO/connectors/dds4ccm/impl/Writer_T.cpp:
                  * CIAO/connectors/dds4ccm/impl/Writer_T.h:
                  * TAO/TAO_IDL/be/be_visitor_arg_traits.cpp:
                  * TAO/TAO_IDL/be/be_visitor_connector/connector_dds_ex_base.cpp:
                  * TAO/TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
                  * TAO/TAO_IDL/be/be_visitor_connector/connector_dds_exs.cpp:
                  * TAO/TAO_IDL/be/be_visitor_sequence/any_op_ch.cpp:
                  * TAO/TAO_IDL/be/be_visitor_sequence/any_op_cs.cpp:
                  * TAO/TAO_IDL/be/be_visitor_sequence/cdr_op_ch.cpp:
                  * TAO/TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:
                  * TAO/TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
                  * TAO/TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
                  * TAO/TAO_IDL/fe/lex.yy.cpp:
                  * TAO/TAO_IDL/include/idl_global.h:
                  * TAO/TAO_IDL/util/utl_global.cpp:
                    Using a pragma to define the sequences for openDDS. If that pragma is
                    set, the sequence is generated as it was declared as a native

                  * CIAO/connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver_exec.cpp:

                  * CIAO/connectors/dds4ccm/impl/ConditionManager.cpp:
                    Check whether read condition is there before detaching
                    it from the waitset. Optimized logging in this case.

          commit ca001a58956fd09ce0aee1ab614ed178c54cbe0a
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Wed Apr 25 12:39:30 2012 +0200

                  * CIAO/MPC/config/dds4ccm_ts_default.mpb:
                  * CIAO/connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.idl:
                  * CIAO/connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector.idl:
                  * CIAO/connectors/dds4ccm/idl/ccm_dds.idl:
                  * CIAO/connectors/dds4ccm/impl/Updater_T.cpp:
                  * CIAO/connectors/dds4ccm/impl/Updater_T.h:
                  * CIAO/connectors/dds4ccm/impl/Writer_T.cpp:
                  * CIAO/connectors/dds4ccm/impl/Writer_T.h:
                  * CIAO/connectors/dds4ccm/impl/ndds/WaitSet.cpp:
                  * CIAO/connectors/dds4ccm/tests/KeyedSamples/Connector/Keyed_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.idl:
                  * CIAO/connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.mpc:
                  * TAO/TAO_IDL/be/be_visitor_connector/connector_dds_ex_base.cpp:
                  * TAO/TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
                  * TAO/TAO_IDL/be/be_visitor_connector/connector_dds_exs.cpp:
                    Work in progress: Refactoring of typedef sequence declarations. Seems that 'native'
                    declaration does not work. Need to change openDDS, using a typedef declaration with
                    a pragma.

          commit 9002aa673f147c470cf6bc8a4c5de101dc01429f
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Wed Apr 25 09:11:46 2012 +0200

                  * CIAO/MPC/config/dds4ccm.mpb:
                  * CIAO/MPC/config/dds4ccm_base.mpb:
                  * CIAO/MPC/config/dds4ccm_impl.mpb:
                  * CIAO/MPC/config/dds4ccm_ts_default.mpb:
                  * CIAO/MPC/config/ndds_idltocpp_ts_defaults.mpb:
                  * CIAO/connectors/dds4ccm/examples/Hello/Base/Hello_Base.idl:
                  * CIAO/connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.idl:
                  * CIAO/connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
                  * CIAO/connectors/dds4ccm/tests/HomeTest/Base/HomeT_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/MultiTopic/Base/MultiTopic_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/On_Inconsistent_Topic/Receiver/OIT_Test_Receiver_exec.cpp:
                  * CIAO/connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.idl:
                    REmoved splice support since that didn't work out until now.

                  * CIAO/connectors/dds4ccm/idl/ndds/ndds_idltocpp_stub.mpc:
                    Define the DDS4CCM_NEEDS_SEQUENCES_DEFINED in case RTI dds.

                  * CIAO/connectors/dds4ccm/impl/Updater_T.cpp:
                    Need to pass a valid handle to openDDS. Therefor looking up the
                    handle first.

          commit 53edc627ec77beca80f51ab5fd000dd17567c55f
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Tue Apr 24 15:51:18 2012 +0200

                  * CIAO/connectors/dds4ccm/impl/ConditionManager.cpp:
                    Implemented check_handle for openDDS.

                  * CIAO/connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_msg.idl:
                    Removed splice support.

                  * CIAO/connectors/tests/AMIDDS/Base/AmiDds_DDS.idl:
                    Fixed compile errors regarding sequences in openDDS

          commit 8622b7527aaa6185fcd8c1196f41fadefc50a025
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Mon Apr 23 15:38:42 2012 +0200

                  * CIAO/connectors/dds4ccm/examples/Hello/Base/Hello_Base.idl:
                  * CIAO/connectors/dds4ccm/examples/Large_Deployment/Common/Common.idl:
                  * CIAO/connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.idl:
                    Fixed compile issues for openDDS. Using the DDS4CCM_NEEDS_SEQUENCES_DEFINED
                    define around typedef sequence declarations.

          commit 03b781dddd707522891d3c4a153ba3a15a5566f3
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Mon Apr 23 15:32:32 2012 +0200

                  * CIAO/connectors/dds4ccm/performance-tests/DDSLatency/Base/Latency_Base.idl:
                  * CIAO/connectors/dds4ccm/performance-tests/DDSThroughput/Base/Throughput_Base.idl:
                    Removed ciao related, commented out code.

                  * CIAO/connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/performance-tests/Latency/Base/LatencyTT_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/performance-tests/Throughput/Base/Throughput_Base.idl:
                    Fixed compile issues for openDDS

          commit ddb71b5d1c9cef74d6e39d4204437841a0539045
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Mon Apr 23 14:43:30 2012 +0200

                  * CIAO/connectors/dds4ccm/impl/ConditionManager.cpp:
                    Fixed OpenDDS runtime error regarding initialization
                    of return value.

                  * CIAO/connectors/dds4ccm/impl/Updater_T.cpp:
                    Fixed runtime error. Passing the lookup instance handle
                    instead of the given instance handle.

          commit 99091377ad5bbc4246faf234ceba4e6e19229843
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Mon Apr 23 12:15:39 2012 +0200

                  * CIAO/connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.idl:
                  * CIAO/connectors/dds4ccm/idl/ccm_dds.idl:
                  * CIAO/connectors/dds4ccm/tests/CSLDeadline/Base/CSL_DeadlineTest_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/CSLQoS/Base/CSL_QoSTest_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/CoherentUpdater/Base/CoherentUpdate_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/CoherentWriter/Base/CoherentWrite_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/CollocatedPubSub/Base/Collocated_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir.idl:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Base/CFT_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Base/CFTLE_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Base/Exception_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Base/ReadGet_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Base/CFTLS_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/DDSEntity/Base/Writer_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/Derived/Derived.idl:
                  * CIAO/connectors/dds4ccm/tests/DoubleNestedModule/Base/DNM_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/Event_Connection_Test/Base/Event_Connection_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Base/FSS_Event_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Base/FSS_State_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/GetComponent/Event/Base/GCE_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/GetComponent/State/Base/GCS_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/HomeTest/Base/HomeT_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/IDL_Test/Base/IDL_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/InstanceHandle/Base/Writer_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/KeyedSamples/Base/Keyed_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/KeyedWriter/Base/Writer_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/LateBinding/ReadGet/Base/RG_LateBinding_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/LateBinding/UpdateWrite/Base/WU_LateBinding_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/ListenManyByMany/Base/LMBM_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/ListenNotEnabled/Base/LNE_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/ListenOneByOne/Base/LOBO_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/MemLeakDetection/Event_MemLeakDetection_Test/Base/Event_MemLeakDetection_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/MemLeakDetection/State_MemLeakDetection_Test/Base/State_MemLeakDetection_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Base/TypeRegistration_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/MultiTopic/Base/MultiTopic_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/MultipleTemp/Base/MultipleTemp_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/NoModule/NoModule.idl:
                  * CIAO/connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/OIT_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/OneFile/Multiple/OFM_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/OneFile/Single/OneFile_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/PSAT/PSAT_Connector.idl:
                  * CIAO/connectors/dds4ccm/tests/PSAT/psat_type.idl:
                  * CIAO/connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/PSLSampleLost/Base/PSL_SampleLost_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/PortUsage/Base/PortUsage_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/Proxies/ReadWrite/Base/Proxy_RW_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/QosProfile/Base/QosProfile_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/Different/Base/Different_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/EventListener/Base/QCLE_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/StateListener/Base/QCLS_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/TwoListeners/Base/QCTL_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/TwoQueries/Base/QCTQ_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/QueryCondition/TwoQueriesMany/Base/QCTQM_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/Reader/Base/Reader_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/ReadGet/Base/RG_ResetTopic_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/ToEmpty/Base/TE_ResetTopic_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/TooLong/Base/TL_ResetTopic_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/UpdateListen/Base/UL_ResetTopic_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/ResetTopic/WriteListen/Base/WL_ResetTopic_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/SLDisabled/Base/SL_Disabled_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/SLManyByMany/Base/SL_ManyByMany_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Base/Base.idl:
                  * CIAO/connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.idl:
                  * CIAO/connectors/dds4ccm/tests/State_Connection_Test/Base/State_Connection_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/TopicName/Base/TopicName_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/TwoTopics/Base/TwoTopics_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/TwoTopicsDifferentNs/Goodbye/HelloGoodbye.idl:
                  * CIAO/connectors/dds4ccm/tests/TwoTopicsDifferentNs/Hello/HelloGoodbye.idl:
                  * CIAO/connectors/dds4ccm/tests/UnkeyedSamples/Base/Unkeyed_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/UnkeyedWriter/Base/Writer_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/Updater/Base/Updater_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/UserdataCopyCount/Base/UCC_Test_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.idl:
                  * CIAO/connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.idl:
                    Fixed compile issues on OpenDDS. Making use of a define which prevents sequences to be compiled.

          commit 11933d30e07fa7dacf35bc3e523b3be2eb2e8220
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Fri Apr 13 16:11:38 2012 +0200

                  * CIAO/MPC/config/dds4ccm_ts_default.mpb:
                    Use dcps_rtps instead of dcps as base project.

                  * CIAO/connectors/dds4ccm/examples/Shapes/descriptors/run_test.pl:
                    Removed the usage of a openDDS repository

                  * CIAO/connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
                  * CIAO/connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
                    Configuring openDDS to use RTPS discovery. Also configure openDDS
                    to use the correct domain ID.

          commit 1c7c7c0af71e7908ad02c24f7a0f9cc71f6b71da
          Author: Marcel Smit <msmit@remedy.nl>
          Date:   Wed Apr 11 11:54:28 2012 +0200

                  * CIAO/MPC/config/dds4ccm.mpb:
                  * CIAO/MPC/config/dds4ccm_ts_default.mpb:
                  * CIAO/connectors/dds4ccm/examples/Hello/Base/Hello_Base.idl:
                  * CIAO/connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.idl:
                  * CIAO/connectors/dds4ccm/examples/Shapes/descriptors/run_test.pl:
                  * CIAO/connectors/dds4ccm/idl/ccm_dds.idl:
                  * TAO/TAO_IDL/be/be_codegen.cpp:
                  * TAO/TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
                    Preparation in order to support OpenDDS in DDS4CCM

Mon May 14 05:42:00 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Protocols/Sender/Sender_exec.cpp:
          Use ACE_High_Res_Timer::global_scale_factor_type

Sun May 13 12:50:03 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Benchmark/RoundTrip/client.cpp:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient_exec.cpp:
        * performance-tests/Protocols/Receiver/Receiver_exec.cpp:
        * performance-tests/Protocols/Sender/Sender_exec.cpp:
          Use ACE_High_Res_Timer::global_scale_factor_type

Tue May  8 12:43:12 UTC 2012  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Control_comp/Shapes_Control_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Sender_comp/Shapes_Sender_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Receiver_comp/Shapes_Receiver_comp_exec.h:
        Generated executors again after adding new documentation in TAO_IDL .

Tue May  8 12:10:12 UTC 2012  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/TypeSupport/main.cpp:
          Fixed runtime errors (double deletes) in main.

Wed Apr 25 12:02:03 UTC 2012  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Tutorial/03_executors.html:
        Fixed typo.
        * connectors/dds4ccm/tutorials/Shapes/Tutorial/03_executors.html:
        Added include of dds4ccm/idl dir with -Gex command


Thu Apr 19 07:48:03 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/TypeSupport.cpp:
          Fixed incorrect loop

Sun Apr 15 12:35:12 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender_exec.h:
        * connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender_exec.cpp:
          Fixed coverity error

Thu Apr 12 08:17:57 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
          Compile fix

Wed Apr 11 10:41:14 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsT_Sender_exec.h:
        * connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/PragmaT/Sender/PragmaT_Sender_exec.h:
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.cpp:
          Coverity fixes

Fri Apr 06 09:03:19 CEST 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 1.1.1 released.

Mon Mar 26 10:46:30 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_4009_Regression/Bug_4009_Bar.mpc:
          Fixed windows link issues

Fri Mar 23 22:04:28 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_4009_Regression/Bug_4009_Foo.idl:
          Forgot to commit this last version

Fri Mar 23 21:58:41 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/Cornucopia/Cornucopia.doxygen:
          Parse more files

        * tests/IDL_Test/Cornucopia/Cornucopia.idl:
          Added some documentation to be copied by doxygen to the
          executor header

Fri Mar 23 20:34:35 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_4009_Regression/Bug_4009_Bar.idl:
        * tests/Bug_4009_Regression/Bug_4009_Bar.mpc:
        * tests/Bug_4009_Regression/Bug_4009_Foo.idl:
          Extended this test with much more typedefs

Fri Mar 23 20:24:42 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_4009_Regression/Bug_4009_Bar.idl:
        * tests/Bug_4009_Regression/Bug_4009_Bar.mpc:
        * tests/Bug_4009_Regression/Bug_4009_Foo.idl:
        * tests/Bug_4009_Regression/Bug_4009_Foo.mpc:
          New unit test for bugzilla 4009, uncovers a bug when generating
          the CIAO executor

Fri Mar 23 19:39:28 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/Cornucopia/Cornucopia.idl:
          Added a component with a sequence type as attribute

Wed Mar 21 01:35:00 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/SyncPortConn/Sender/Hello_Sender_exec.cpp:
          Fixed compile error

Wed Mar 21 01:30:33 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/NoReplyH/Receiver/NoReplyH_Receiver_exec.cpp:
          Fixed coverity errors

Tue Mar 20 01:30:58 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Quoter/Client/Quoter_Client_exec.h:
        * connectors/ami4ccm/examples/Quoter/Client/Quoter_Client_exec.cpp:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/Exceptions/Sender/ExceptionT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterInOutArgs/Sender/InterInOutT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/NoConnection/Sender/HelloT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/OneProcess/Sender/OneProcess_Sender_exec.cpp:
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/PragmaT/Sender/PragmaT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.cpp:
        * connectors/ami4ccm/tests/SyncPortConn/Sender/Hello_Sender_exec.h:
        * connectors/ami4ccm/tests/SyncPortConn/Sender/Hello_Sender_exec.cpp:
        * connectors/ami4ccm/tests/ThreeComp/Master/ThreeComp_Master_exec.cpp:
        * connectors/ami4ccm/tests/ThreeComp/Sender/ThreeComp_Sender_exec.cpp:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.cpp:
          Fixed coverity errors

Wed Mar  7 13:09:45 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/performance-tests/Throughput/Receiver/Throughput_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_impl.cpp:
        * connectors/dds4ccm/tests/QueryCondition/DDS/DDS_Receiver/QC_Receiver.cpp:
        * connectors/dds4ccm/tests/QueryCondition/DDS_OneByOne/DDS_Receiver/ObO_Receiver.cpp:
          Fixed coverity errors

Wed Mar  7 10:56:00 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
          Fixed coverity error

Wed Mar  7 10:03:02 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Updated for release

Wed Mar 07 09:04:40 CET 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 1.1.0 released.

Tue Feb 28 19:26:48 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Sender/RG_LateBinding_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ResetTopic/ReadGet/Sender/RG_ResetTopic_Sender_exec.cpp:
          Fixed coverity errors

Thu Feb 23 14:16:48 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DAnCE/LocalityManager/CommandlinePassage/Component_OpenMode.cdp:
          Use the OpenMode as configProperty

Thu Feb 23 12:27:54 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/ciao_tests.lst:
        * ciao/Base/CIAO_Properties.idl:
        * ciao/Containers/Container_Base.idl:
        * ciao/Containers/Container_Base_T.h:
        * ciao/Containers/Container_Base_T.cpp:
        * ciao/Containers/Extension/Extension_Container.h:
        * ciao/Containers/Extension/Extension_Container.cpp:
        * ciao/Containers/Session/Session_Container.h:
        * ciao/Containers/Session/Session_Container.cpp:
        * ciao/Deployment/Handlers/Component_Handler.cpp:
        * ciao/Deployment/Handlers/Container_Handler.cpp:
        * ciao/Deployment/Handlers/Home_Handler.cpp:
          Added support for new ciao config property "edu.vanderbilt.dre.CIAO.OpenMode"
          which controls the mode that is used to load the shared libraries for
          a home or component. By default we use ACE_DEFAULT_SHLIB_MODE
          which can be controlled through config.h, but now it can also
          be controlled using the deployment plan. This property is of type long

        * tests/DAnCE/LocalityManager/CommandlinePassage/Component_OpenMode.cdp:
        * tests/DAnCE/LocalityManager/CommandlinePassage/run_test_openmode.pl:
          Example cdp using the new open mode property

Tue Feb 21 15:36:44 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Containers/Container_Base_T.h:
        * ciao/Containers/Container_Base_T.cpp:
        * ciao/Containers/Extension/Extension_Container.cpp:
        * ciao/Containers/Session/Session_Container.cpp:
          Changed open_mode as argument, more work has to be done to let the
          user control this mode

Mon Feb 20 13:12:42 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ccm/CCM_EventConsumerBase.idl:
          Removed not needed include

Fri Jan 27 09:02:30 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Updated for next release

Fri Jan 27 08:58:54 CET 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 1.0.8 released.

Thu Jan 26 10:56:23 UTC 2012  Martin Corino  <mcorino@remedy.nl>

        * ciao/Deployment/Interceptors/Deployment_Interceptors.h:
          Removed duplicate function declaration.

Tue Jan 24 19:14:53 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/CCM_DataReader.h:
        * connectors/dds4ccm/impl/CCM_DataWriter.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
          Make it possible to also use _get_component on the dds_entity ports

        * connectors/dds4ccm/tests/GetComponent/Event/Component/GCE_Test_Component_exec.cpp:
        * connectors/dds4ccm/tests/GetComponent/Event/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/GetComponent/State/Component/GCS_Test_Component_exec.cpp:
        * connectors/dds4ccm/tests/GetComponent/State/descriptors/Plan.cdp:
          Test _get_component on the dds_entity ports

Tue Jan 24 18:31:45 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3769_Regression/Foo.idl:
        * tests/Bug_3769_Regression/Foo_exec.h:
        * tests/Bug_3769_Regression/Foo_exec.cpp:
        * tests/Bug_3769_Regression/descriptors/DeploymentPlan.cdp:
          Extended this test for supports with attributes, thanks to
          Michael Frommberger <michael dot frommberger at gmx dot net>
          for extending this test

Tue Jan 24 13:33:32 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/BasicSP/BMClosedED/BMClosedED_exec.cpp:
          Layout changes

        * rules.ciao.GNU:
          Small simplification

Tue Jan 24 12:05:47 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/GetComponent/Event/Component/GCE_Test_Component_exec.cpp:
        * connectors/dds4ccm/tests/GetComponent/State/Component/GCS_Test_Component_exec.cpp:
          Narrow the result of _get_component to the connector interface

Mon Jan 23 20:21:32 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/taobaseidl3toidl2defaults.mpb:
        * MPC/config/taoidl3toxmidefaults.mpb:
          Fixed again

Mon Jan 23 20:12:06 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/taobaseidl3toidl2defaults.mpb:
        * MPC/config/taoidl3toxmidefaults.mpb:
          Reverted change below, triggers error in normal build

Mon Jan 23 14:35:42 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/taobaseidl3toidl2defaults.mpb:
        * MPC/config/taoidl3toxmidefaults.mpb:
          Fixes for install builds

Mon Jan 23 12:55:55 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ccm/CCM_stub.mpc:
          Reverted change below, the install is needed

Mon Jan 23 12:07:30 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ccm/CCM_stub.mpc:
          Removed not needed post_install

Mon Jan 23 09:45:53 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO_TAO_DAnCE.mwc:
          Also build tools

Mon Jan 23 07:53:26 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/ndds/ndds_idltocpp_skel.mpc:
        * connectors/dds4ccm/idl/ndds/ndds_idltocpp_stub.mpc:
          Fixes for install build

Sun Jan 22 19:03:34 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/DDS_Receiver/Hello_Receiver.cpp:
        * connectors/dds4ccm/tests/QueryCondition/DDS/DDS_Receiver/QC_Receiver.cpp:
        * connectors/dds4ccm/tests/QueryCondition/DDS/DDS_Sender/QC_Sender.cpp:
        * connectors/dds4ccm/tests/QueryCondition/DDS_OneByOne/DDS_Receiver/ObO_Receiver.cpp:
        * connectors/dds4ccm/tests/QueryCondition/DDS_OneByOne/DDS_Sender/ObO_Sender.cpp:
          Unicode fixes

Sun Jan 22 18:01:27 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/ndds/ndds_idltocpp_skel.mpc:
        * connectors/dds4ccm/idl/ndds/ndds_idltocpp_stub.mpc:
          Install fixes

Sat Jan 21 14:40:46 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/ami4ccm/ami4ccm.mpc:
          Reduced number of files generated

Sat Jan 21 14:40:07 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/ndds/ndds_idltocpp_stub.mpc:
          Change install

Sat Jan 21 12:15:51 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds4ccm_skel.mpc:
        * connectors/dds4ccm/idl/ndds/ndds_idltocpp_stub.mpc:
          Added missing files

Fri Jan 20 10:31:19 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds4ccm_stub.mpc:
        * connectors/dds4ccm/idl/ndds/ndds_idltocpp_lem_stub.mpc:
        * connectors/dds4ccm/idl/ndds/ndds_idltocpp_stub.mpc:
          Reduced the amount of files being generated

Fri Jan 20 10:08:02 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/ndds/ndds_idltocpp_lem_stub.mpc:
        * connectors/dds4ccm/idl/ndds/ndds_idltocpp_skel.mpc:
        * connectors/dds4ccm/idl/ndds/ndds_idltocpp_stub.mpc:
          Reduced the amount of files being generated

Fri Jan 20 09:58:21 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds4ccm_lem_stub.mpc:
        * connectors/dds4ccm/idl/dds4ccm_skel.mpc:
        * connectors/dds4ccm/idl/dds4ccm_stub.mpc:
          Reduced the amount of files being generated

Fri Jan 20 09:28:45 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds4ccm_stub.mpc:
          Use new -Ssvcp and -Ssvtp

Thu Dec 29 20:00:39 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/DDS_Sender/Hello_Sender.cpp:
          Fixed wchar compile error

Tue Dec 27 11:39:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Updated for next release

Tue Dec 27 10:06:28 CET 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 1.0.7 released.

Tue Dec 20 15:10:01 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Receiver/Latency_Receiver.cpp:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/Latency_Sender.cpp:
        * connectors/dds4ccm/performance-tests/DDSThroughput/DDS_Receiver/Throughput_Receiver.cpp:
        * connectors/dds4ccm/performance-tests/DDSThroughput/DDS_Sender/Throughput_Sender.cpp:
          Reset the timer queue and finalize DDS explicitly to fix a lot of
          reported memory leaks

Tue Dec 20 09:10:05 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

       * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender_exec.cpp:
       Solved valgrind errors.

Mon Dec 19 11:33:05 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

       * tests/DAnCE/NodeManager-Deployments/run_test.pl:
       * tests/DAnCE/NodeManager-Deployments/run_test_noevent.pl:
       * tests/DAnCE/NodeManager-Deployments/run_test_cdr.pl:
       * tests/DAnCE/NodeManager-Deployments/run_testcdr_noevent.pl:
       * tests/DAnCE/ExecutionManager-Deployments/run_test.pl:
       * tests/DAnCE/ExecutionManager-Deployments/run_test_noevent.pl:
       * tests/DAnCE/ExecutionManager-Deployments/run_test_cdr.pl:
       * tests/DAnCE/ExecutionManager-Deployments/run_testcdr_noevent.pl:
       * tests/DAnCE/EM-Redeployment/run_test.pl:
       * tests/DAnCE/Em_Redeployment/run_test_noevent.pl:
       * bin/ciao_tests.lst:
       Splitted tests-runs in runs for noevent disabled and enabled.


Sun Dec 18 11:36:05 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/ciao_tests.lst:
          Run more tests with noevent, if some of the cdp's are not fit
          for noevent, than they should move to a different directory

Fri Dec 16 12:39:56 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          Added performance-tests/Keyed to the test framework.

        * ciao/Deployment/Handlers/Connection_Handler.cpp:
          Optimized logging.

        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub3.cdp:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/Plan_SharedMem.cdp:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/Plan_UDPv4.cdp:
        * connectors/dds4ccm/performance-tests/Throughput/descriptors/Plan_pub.cdp:
          Fixed runtime issues. Also cleaned up unused code.

Fri Dec 16 07:37:37 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/idl/dds4ccm_stub.mpc:
          Added dds4ccm_QueryFilterC.inl to the DDS4CCM_stub project.

Thu Dec 15 14:01:48 UTC 2011  Marijke  <mhengstmengel@remedy.nl>

         * connectors/dds4ccm/tests/HomeTest/HomeComp/HomeT_Home.mpc:
         Solved error.

Thu Dec 15 12:49:05 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub3.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub_BE.cdp:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/Plan_SharedMem.cdp:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/Plan_UDPv4.cdp:
        * connectors/dds4ccm/performance-tests/Throughput/descriptors/Plan_pub.cdp:
          Fuzz. Whitespaces.

Thu Dec 15 11:00:00 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged timer_policy branch.

        === start changelog ===

        Wed Dec 14 08:56:00 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/Latency_Sender.cpp:

                  Fixed compile error.

        Tue Dec 13 10:28:00 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/Latency_Sender.cpp:
                * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.cpp:
                * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan.cdp:
                * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub.cdp:
                * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub3.cdp:
                * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub_BE.cdp:
                * connectors/dds4ccm/performance-tests/Latency/Sender/LatencyTT_Test_Sender_exec.cpp:
                * connectors/dds4ccm/performance-tests/Latency/descriptors/Plan_SharedMem.cdp:
                * connectors/dds4ccm/performance-tests/Latency/descriptors/Plan_UDPv4.cdp:
                * connectors/dds4ccm/performance-tests/Throughput/Sender/Throughput_Sender_exec.cpp:
                * connectors/dds4ccm/performance-tests/Throughput/descriptors/Plan_pub.cdp:

                  Adapted tests to new time policy support.

        === end changelog ===

Thu Dec 15 07:49:48 UTC 2011  Marijke  <mhengstmengel@remedy.nl>

         * connectors/dds4ccm/tests/HomeTest/HomeComp/HomeT_Home.mpc:
         Solved dependency error.


Wed Dec 14 11:33:48 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        Merged changes from our work branch.
        === start changelog ===
        Wed Dec 14 10:22:44 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/impl/ndds/DomainParticipantManager.h:
                * connectors/dds4ccm/impl/ndds/DomainParticipantManager.cpp:
                  Used a std::pair instead of a separate list for the domain ID.

        Mon Dec 12 15:37:43 UTC 2011  Marcel Smit  <msmit@remedy.nl>


                * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
                * connectors/dds4ccm/impl/ndds/DomainParticipantManager.h:
                * connectors/dds4ccm/impl/ndds/DomainParticipantManager.cpp:
                  Domain partipants should be created per domain ID and QOS profile.

                * bin/ciao_tests.lst:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Base:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Base/Base.idl:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Base/Base.mpc:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Component:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Component/Component.idl:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Component/Component.mpc:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Component/Component_exec.h:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Component/Component_exec.cpp:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector1:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector1/Connector1.idl:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector1/Connector1.mpc:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector2:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector2/Connector2.idl:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector2/Connector2.mpc:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector3:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector3/Connector3.idl:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/Connector3/Connector3.mpc:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/descriptors:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/descriptors/Plan.cdp:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/descriptors/USER_QOS_PROFILES.xml:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDomainID/descriptors/run_test.pl:
                  Added test to verify this.

Wed Dec 14 09:00:48 UTC 2011  Marijke  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tests/HomeTest/Base/HomeT_Base.idl:
        * connectors/dds4ccm/tests/HomeTest/Connector/HomeT_Connector.idl:
        * connectors/dds4ccm/tests/HomeTest/HomeComp/HomeT_HomeC.idl:
        * connectors/dds4ccm/tests/HomeTest/descriptors/DeploymentPlanConnOnly.cdp:
        * tests/IDL3/Homes/Basic/Basic.idl:
        * tests/IDL_Test/Cornucopia/Cornucopia.idl:
        Fuzz errors

Tue Dec 13 13:37:25 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        Merged changes from our work branch. Test Home with connectors.F
        === start changelog ===

        Tue Dec 13 13:17:07 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

                * bin/ciao_tests.lst
                Added HomeTest

        Tue Dec 13 13:00:07 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

                * connectors/dds4ccm/tests/HomeTest/HomeComp/HomeT_Home.mpc:
                * connectors/dds4ccm/tests/HomeTest/HomeComp/HomeT_HomeC.idl:
                * connectors/dds4ccm/tests/HomeTest/HomeComp/HomeT_HomeC_exec.cpp:
                * connectors/dds4ccm/tests/HomeTest/HomeComp/controller.cpp:
                * connectors/dds4ccm/tests/HomeTest/descriptors/run_test.pl:
                Home created now a connector instance, without activating it.

        Mon Dec 12 10:59:27 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

                * connectors/dds4ccm/tests/HomeTest/HomeComp/HomeT_Home.mpc:
                * connectors/dds4ccm/tests/HomeTest/HomeComp/HomeT_HomeC.idl:
                * connectors/dds4ccm/tests/HomeTest/HomeComp/HomeT_HomeC_exec.cpp:
                * connectors/dds4ccm/tests/HomeTest/HomeComp/controller.cpp:
                * connectors/dds4ccm/tests/HomeTest/descriptors/DeploymentPlanConnOnly.cdp:
                * connectors/dds4ccm/tests/HomeTest/descriptors/run_test.pl:
              Add controller, acting on Home component

                * connectors/dds4ccm/tests/HomeTest/HomeComp/client.cpp:
                  Removed this file.

        Thu Dec  8 16:08:07 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

                * connectors/dds4ccm/tests/HomeTest:
                * connectors/dds4ccm/tests/HomeTest/Base:
                * connectors/dds4ccm/tests/HomeTest/Base/HomeT_Base.idl:
                * connectors/dds4ccm/tests/HomeTest/Base/HomeT_Base.mpc:
                * connectors/dds4ccm/tests/HomeTest/Connector:
                * connectors/dds4ccm/tests/HomeTest/Connector/HomeT_Connector.idl:
                * connectors/dds4ccm/tests/HomeTest/Connector/HomeT_Connector.mpc:
                * connectors/dds4ccm/tests/HomeTest/HomeComp:
                * connectors/dds4ccm/tests/HomeTest/HomeComp/HomeT_Home.mpc:
                * connectors/dds4ccm/tests/HomeTest/HomeComp/HomeT_HomeC.idl:
                * connectors/dds4ccm/tests/HomeTest/HomeComp/HomeT_HomeC_exec.h:
                * connectors/dds4ccm/tests/HomeTest/HomeComp/HomeT_HomeC_exec.cpp:
                * connectors/dds4ccm/tests/HomeTest/HomeComp/client.cpp:
                * connectors/dds4ccm/tests/HomeTest/descriptors:
                * connectors/dds4ccm/tests/HomeTest/descriptors/DeploymentPlanConnOnly.cdp:
                * connectors/dds4ccm/tests/HomeTest/descriptors/USER_QOS_PROFILES.xml:
                * connectors/dds4ccm/tests/HomeTest/descriptors/run_test.pl:
                First commit new test for Connector Homes.
        === end changelog ===

Mon Dec 12 19:28:51 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/ami4ccm/ami4ccm.mpc:
          Added missing template files

Mon Dec 12 07:33:25 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        Merged changes from our work branch. Facet servants are now generated
        as C++ template at the moment the interface is declared, this reduces
        the amount of code generated heavily. Component/Connector context is
        now also generated as C++ template

        === start changelog ===

        Fri Dec  9 16:07:48 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/examples/Large_Deployment/Common/Single_Service_Common.idl:
                * connectors/dds4ccm/examples/Large_Deployment/Common/Single_Service_Common.mpc:
                * connectors/dds4ccm/examples/Large_Deployment/Single_Service/Single_Service.mpc:
                  Fixed compile errors.

        Fri Dec  9 15:41:59 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/examples/Large_Deployment/Common/Single_Service_Common.idl:
                * connectors/dds4ccm/examples/Large_Deployment/Common/Single_Service_Common.mpc:
                * connectors/dds4ccm/examples/Large_Deployment/DDS_Pub/DDS_Pub.mpc:
                  Also generate a Single_Service_Common lem.

        Fri Dec  9 14:28:24 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * tests/Bug_3834_Regression/Moo.mpc:
                  Fixed afters and linker errors on windows.

        Fri Dec  9 14:15:16 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * tests/Bug_3834_Regression/CompA.mpc:
                * tests/Bug_3834_Regression/Moo.mpc:
                  Fixed link issues on windows.

        Fri Dec  9 13:42:40 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * tests/Bug_3834_Regression/CompA.idl:
                * tests/Bug_3834_Regression/CompA.mpc:
                * tests/Bug_3834_Regression/Moo.idl:
                * tests/Bug_3834_Regression/Moo.mpc:
                  Fixed compile issues on Linux.

        Fri Dec  9 13:24:31 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/examples/Large_Deployment/Single_Service/Single_Service.mpc:
                * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint.mpc:
                * tests/Bug_3834_Regression/CompA.mpc:
                * tests/Bug_3834_Regression/CompB.mpc:
                  Removed the -Glfa option since it is obsolete.

        Fri Dec  9 11:48:53 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/tests/AMIDDS/Base/AmiDds_Base.mpc:
                * tests/DAnCE/Components/SimpleCommon.mpc:
                * tests/IDL_Test/Reused_Facet_Interface/Basic.mpc:
                  Fixed compile errors related to the movement of the facet
                  servants.

        Fri Dec  9 10:41:34 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/examples/Large_Deployment/Common/Single_Service_Common.mpc:
                  Generate svnt code as well.

                * connectors/dds4ccm/examples/Large_Deployment/Single_Service/Single_Service.mpc:
                * connectors/dds4ccm/examples/Large_Deployment/Single_Service/Single_Service_exec.h:
                * connectors/dds4ccm/examples/Large_Deployment/Single_Service/Single_Service_exec.cpp:
                  Removed these files since they can be generated.

        Fri Dec  9 10:17:37 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * bin/ciao_tests.lst:
                * examples/Null_Component_Glfa:
                * examples/Null_Component_Glfa/Null_Component.idl:
                * examples/Null_Component_Glfa/Null_Component.mpc:
                * examples/Null_Component_Glfa/Null_Interface.idl:
                * examples/Null_Component_Glfa/Null_Interface.mpc:
                * examples/Null_Component_Glfa/descriptors:
                * examples/Null_Component_Glfa/descriptors/NodeMap.dat:
                * examples/Null_Component_Glfa/descriptors/Null_Homed.cdp:
                * examples/Null_Component_Glfa/descriptors/Null_Unhomed.cdp:
                * examples/Null_Component_Glfa/descriptors/run_test.pl:
                  Removed this test. No need to test this anymore.

        Fri Dec  9 10:15:44 UTC 2011  Marcel Smit  <msmit@remedy.nl>


                * tests/IDL_Test/Glfa:
                * tests/IDL_Test/Glfa/A.idl:
                * tests/IDL_Test/Glfa/A.mpc:
                * tests/IDL_Test/Glfa/B.idl:
                * tests/IDL_Test/Glfa/B.mpc:
                  Removed these files. No need to test this anymore.

        Fri Dec  9 08:34:00 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/ami4ccm/tutorials/Hello/Hello_asm/ports/Hello_MyFoo_obj.mpc:
                  Fixed compile errors related to the movement of the facet
                  servants.

        Fri Dec  9 08:31:15 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/idl/dds4ccm_stub.mpc:
                * connectors/dds4ccm/idl/ndds/ndds_idltocpp_stub.mpc:
                  Fixed compile errors related to the movement of the facet
                  servants.

        Fri Dec  9 07:57:33 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/ami4ccm/examples/Quoter/Base/Quoter.mpc:
                * connectors/ami4ccm/tests/AsynchT/Base/AsynchT.mpc:
                * connectors/ami4ccm/tests/DelReplyH/Base/DelReplyH.mpc:
                * connectors/ami4ccm/tests/Exceptions/Base/ExceptionT.mpc:
                * connectors/ami4ccm/tests/GetComp/Base/GetComp.mpc:
                * connectors/ami4ccm/tests/IDL_Test/AMI4CCM_IDLTest.mpc:
                * connectors/ami4ccm/tests/InterInArgs/Base/InterInArgsT.mpc:
                * connectors/ami4ccm/tests/InterInOutArgs/Base/InterInOutT.mpc:
                * connectors/ami4ccm/tests/InterMulti/Base/InterMulti.mpc:
                * connectors/ami4ccm/tests/InterOutArgs/Base/InterOutArgsT.mpc:
                * connectors/ami4ccm/tests/InterReturn/Base/InterReturnT.mpc:
                * connectors/ami4ccm/tests/NoConnection/Base/HelloT.mpc:
                * connectors/ami4ccm/tests/NoReplyH/Base/NoReplyH.mpc:
                * connectors/ami4ccm/tests/OneProcess/Base/OneProcess.mpc:
                * connectors/ami4ccm/tests/OneReplyH/Base/OneReplyH.mpc:
                * connectors/ami4ccm/tests/SimplexMulti/Base/UsesSM.mpc:
                * connectors/ami4ccm/tests/ThreeComp/Base/ThreeComp.mpc:
                * connectors/ami4ccm/tests/UsesMulti/Base/UsesMulti.mpc:
                  Fixed compile errors related to the movement of the facet
                  servants.

        Thu Dec  8 14:38:45 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Servants/Extension/Servant_Impl_T.h:
                  Added missing include.

                * connectors/ami4ccm/examples/Hello/Base/Hello.mpc:
                  Removed -Gsv IDL compiler flag.

        Wed Dec  7 07:34:23 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Servants/Facet_Servant_Base_T.h:
                * ciao/Servants/Session/Servant_Impl_T.h:
                  Added some necessary includes.

        Mon Dec  5 19:10:07 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/idl/dds4ccm_stub.mpc:
                  Removed -Glem for generation of dds4ccm_entity.idl
                  and ccm_dds.idl since it was not necessary to create
                  the local executor mapping (at least, the generated
                  files were not compiled)

        Mon Dec  5 18:41:32 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/idl/dds4ccm_stub.mpc:
                  Removed -Glem since it was added a second time. At that point
                  dds4ccm_QueryFilter was generated with -Glem
                  (which is not necessary).

        Fri Dec  2 07:58:40 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Contexts/Extension/Extension_Context_T.h:
                * ciao/Contexts/Extension/Extension_Context_T.cpp:
                * ciao/Servants/Extension/Servant_Impl_T.h:
                * ciao/Servants/Extension/Servant_Impl_T.cpp:
                * ciao/Servants/Session/Servant_Impl_T.h:
                * ciao/Servants/Session/Servant_Impl_T.cpp:
                  Added _T to templated classes. This fixes compile error
                  since the IDL compiler was already prepared for this.

                * tests/IDL_Test/Inherited_Component/Extended/Base.idl:
                  Let derived_interface derive from the base_interface.

        Thu Dec  1 09:05:31 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/idl/dds4ccm_stub.mpc:
                  Prevent compilation after invoking make for a second time

        Thu Dec  1 08:36:22 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Contexts/Session/Session_Context_T.h:
                * ciao/Contexts/Session/Session_Context_T.cpp:
                  Renamed class, using _T postfix.

                * tests/IDL_Test/Inherited_Component/Extended/Base.idl:
                * tests/IDL_Test/Inherited_Component/Extended/Derived.idl:
                  Expanded.

        === end changelog ===
Wed Dec  7 19:00:59 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/SyncPortConn/Receiver/Hello_Receiver.mpc:
          Fix problem in this mpc file

Wed Dec  7 10:47:15 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        Merged in the changes to update AMI4CCM to match the initial revision
        with the synchronous port and the new pragma's added

        === start changelog ===

        Thu Dec  1 09:50:06 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

                * connectors/ami4ccm/examples/Hello/descriptors/Plan.cdp:
                * connectors/ami4ccm/examples/Hello/descriptors/PlanSyncPort.cdp:
                * connectors/ami4ccm/examples/Hello/descriptors/run_test.pl:
                * connectors/ami4ccm/tests/InterMulti/descriptors/run_test.pl:
                * connectors/ami4ccm/tests/UsesMulti/descriptors/PlanSyncPort.cdp:
                * connectors/ami4ccm/tests/UsesMulti/descriptors/run_test.pl:
                Changes for using now sync port ami connector beside Sender-Receiver connection

        Thu Dec  1 09:15:53 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

                * connectors/ami4ccm/tests/InterMulti/descriptors/PlanSyncPort.cdp:
                * connectors/ami4ccm/tests/InterMulti/descriptors/run_test.pl:

                * connectors/ami4ccm/tests/UsesMulti/descriptors/PlanSyncPort.cdp:
                * connectors/ami4ccm/tests/UsesMulti/descriptors/run_test.pl:
                Changes for using now sync port ami connector beside Sender-Receiver connection

        Wed Nov 30 16:11:09 UTC 2011  Marijke Hengstmengel  <hengstmengel_m@remedy.nl>

                * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender_exec.cpp:
                * connectors/ami4ccm/tests/InterReturn/descriptors/Plan.cdp:
                * connectors/ami4ccm/tests/InterReturn/descriptors/PlanSyncPort.cdp:
                * connectors/ami4ccm/tests/InterReturn/descriptors/run_test.pl:
                Run test also with sync port on AMI connector.

        Mon Nov 21 15:10:06 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

                * bin/ciao_tests.lst:
                * connectors/ami4ccm/tests/SyncPortConn:
                * connectors/ami4ccm/tests/SyncPortConn/Base:
                * connectors/ami4ccm/tests/SyncPortConn/Base/Hello.idl:
                * connectors/ami4ccm/tests/SyncPortConn/Base/SyncPortConn.mpc:
                * connectors/ami4ccm/tests/SyncPortConn/Receiver:
                * connectors/ami4ccm/tests/SyncPortConn/Receiver/Hello_Receiver.idl:
                * connectors/ami4ccm/tests/SyncPortConn/Receiver/Hello_Receiver.mpc:
                * connectors/ami4ccm/tests/SyncPortConn/Receiver/Hello_Receiver_exec.h:
                * connectors/ami4ccm/tests/SyncPortConn/Receiver/Hello_Receiver_exec.cpp:
                * connectors/ami4ccm/tests/SyncPortConn/Sender:
                * connectors/ami4ccm/tests/SyncPortConn/Sender/Hello_Sender.idl:
                * connectors/ami4ccm/tests/SyncPortConn/Sender/Hello_Sender.mpc:
                * connectors/ami4ccm/tests/SyncPortConn/Sender/Hello_Sender_exec.h:
                * connectors/ami4ccm/tests/SyncPortConn/Sender/Hello_Sender_exec.cpp:
                * connectors/ami4ccm/tests/SyncPortConn/descriptors:
                * connectors/ami4ccm/tests/SyncPortConn/descriptors/.dance_artifacts:
                * connectors/ami4ccm/tests/SyncPortConn/descriptors/Plan.cdp:
                * connectors/ami4ccm/tests/SyncPortConn/descriptors/Plan_no_sync_amiconn.cdp:
                * connectors/ami4ccm/tests/SyncPortConn/descriptors/run_test.pl:
                Test using sync port on AMI connector.

        Mon Nov 21 13:30:15 UTC 2011  Marijke Hengstmengel  <hengstmengel_m@remedy.nl>

                * connectors/ami4ccm/ami4ccm/ami4ccm.idl:
                Add sync port to connector

        Tue Nov  8 08:53:04 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

                * connectors/ami4ccm/tests/PragmaT/Receiver/PragmaT_Receiver.mpc:
                Missing file.

        Mon Nov  7 13:29:04 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

                * bin/ciao_tests.lst:
                * connectors/ami4ccm/tests/PragmaT:
                * connectors/ami4ccm/tests/PragmaT/Base:
                * connectors/ami4ccm/tests/PragmaT/Base/PragmaT.idl:
                * connectors/ami4ccm/tests/PragmaT/Base/PragmaT.mpc:
                * connectors/ami4ccm/tests/PragmaT/README:
                * connectors/ami4ccm/tests/PragmaT/Receiver:
                * connectors/ami4ccm/tests/PragmaT/Receiver/PragmaT_Receiver.idl:
                * connectors/ami4ccm/tests/PragmaT/Receiver/PragmaT_Receiver_exec.h:
                * connectors/ami4ccm/tests/PragmaT/Receiver/PragmaT_Receiver_exec.cpp:
                * connectors/ami4ccm/tests/PragmaT/Sender:
                * connectors/ami4ccm/tests/PragmaT/Sender/PragmaT_Sender.idl:
                * connectors/ami4ccm/tests/PragmaT/Sender/PragmaT_Sender.mpc:
                * connectors/ami4ccm/tests/PragmaT/Sender/PragmaT_Sender_exec.h:
                * connectors/ami4ccm/tests/PragmaT/Sender/PragmaT_Sender_exec.cpp:
                * connectors/ami4ccm/tests/PragmaT/descriptors:
                * connectors/ami4ccm/tests/PragmaT/descriptors/Plan.cdp:
                * connectors/ami4ccm/tests/PragmaT/descriptors/run_test.pl:
                Test use of new pragma's 'ami4ccm interface', 'ami4ccm receptacle' and 'ami4ccm idl'.
                New pragma's work besides old ones 'ciao ami4ccm ...' .

        === end changelog ===

Mon Dec  5 12:32:50 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Containers/Container_Base_T.cpp:
          Removed some commented out code and use a switch instead of an if

        * ciao/Deployment/Handlers/CIAO_Handler_Common.cpp:
          Removed return statement which we never could reach

        * ciao/Servants/Session/Servant_Impl_T.cpp:
          Some code restructuring

        * ciao/Valuetype_Factories/ConfigValue.cpp:
          Small performance increase

        * examples/DevGuideExamples/Messenger/Messenger_exec_i.cpp:
          Fixed memory leak

Local Variables:
mode: change-log
add-log-time-format: (lambda () (progn (setq tz (getenv "TZ")) (set-time-zone-rule "UTC") (setq time (format-time-string "%a %b %e %H:%M:%S %Z %Y" (current-time))) (set-time-zone-rule tz) time))
indent-tabs-mode: nil
End:
